29
October
(0 votes)

News

Should I upgrade to Joomla 3.0?

Should I update to Joomla 3.0?We've had many customers asking, "should I update to Joomla 3.0?". For the majority of you reading this, the short answer to that question is simply, "No". Joomla 3.0 is a standard-term release and is only intended for developers or for users who really need the new features. The availability of 3rd party extensions for Joomla 3.0 is going to be pretty limited for some time, so if you're already using Joomla 2.5 we recommend waiting for Joomla 3.5.

What if I'm currently using Joomla 1.0 or Joomla 1.5?

We are currently migrating the last of our customers off of Joomla 1.0 does not work with PHP 5.3.  If you're still using Joomla 1.0, it's going to become increasily more difficult to find a host willing to provide you with PHP 5.2, so it's recommended that you migrate as soon as possible.

Support for Joomla 1.0 ended in 2009 and support for Joomla 1.5 is set to end soon, which means no more official security releases will be provided for Joomla 1.5.  So, you should strongly consider migrating to Joomla 2.5 soon. If you need assistance with migrating your website, we do provide this as a service and are happy to provide you with a quote. Drop us a sales request with details about your website and we will get back with you shortly.  

Leave a comment

Get in Touch

Newsletter